petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexSetRefinementFunction

Set the function giving the maximum cell volume for refinement

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetRefinementFunction(DM dm, PetscErrorCode (*refinementFunc)(const PetscReal [], PetscReal *))

### Input Parameters

| dm | - The DM
| refinementFunc | - Function giving the maximum cell volume in the refined mesh

Note: The calling sequence is refinementFunc(coords, limit)

    coords - Coordinates of the current point, usually a cell centroid

    limit  - The maximum cell volume for a cell containing this point

### See Also

DMRefine(), DMPlexGetRefinementFunction(), DMPlexGetRefinementUniform(), DMPlexSetRefinementUniform(), DMPlexGetRefinementLimit(), DMPlexSetRefinementLimit()

### Level

developer

### Location

src/dm/impls/plex/plexrefine.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages